<?php
namespace Helpers\QueryBuilder;

class SqlExpr extends AbsSqlFragment
{
    private string $sqlExpr;

    /**
     * @param array<mixed> $param
     */
    public function __construct(string $expr, array $param = [])
    {
        $this->sqlExpr = $expr;
        $this->mapParameter = $param;
    }

    public function __toString(): string
    {
        return $this->sqlExpr;
    }
}
